Browse code

fix warn scripts

Nat! authored on 02-06-2017 18:16:24
Showing 4 changed files
... ...
@@ -1,3 +1,7 @@
1
+## 3.6.3
2
+
3
+* fix missing include in warn scripts
4
+
1 5
 ## 3.6.2
2 6
 
3 7
 * fix and improve systeminstall (formerly just install)
... ...
@@ -31,7 +31,7 @@
31 31
 #
32 32
 MULLE_EXECUTABLE_VERSION_MAJOR=3
33 33
 MULLE_EXECUTABLE_VERSION_MINOR=6
34
-MULLE_EXECUTABLE_VERSION_PATCH=2
34
+MULLE_EXECUTABLE_VERSION_PATCH=3
35 35
 
36 36
 MULLE_EXECUTABLE_VERSION="${MULLE_EXECUTABLE_VERSION_MAJOR}.${MULLE_EXECUTABLE_VERSION_MINOR}.${MULLE_EXECUTABLE_VERSION_PATCH}"
37 37
 
38 38
new file mode 100644
... ...
@@ -0,0 +1,150 @@
1
+#! /usr/bin/env bash
2
+#
3
+#   Copyright (c) 2017 Nat! - Mulle kybernetiK
4
+#   All rights reserved.
5
+#
6
+#   Redistribution and use in source and binary forms, with or without
7
+#   modification, are permitted provided that the following conditions are met:
8
+#
9
+#   Redistributions of source code must retain the above copyright notice, this
10
+#   list of conditions and the following disclaimer.
11
+#
12
+#   Redistributions in binary form must reproduce the above copyright notice,
13
+#   this list of conditions and the following disclaimer in the documentation
14
+#   and/or other materials provided with the distribution.
15
+#
16
+#   Neither the name of Mulle kybernetiK nor the names of its contributors
17
+#   may be used to endorse or promote products derived from this software
18
+#   without specific prior written permission.
19
+#
20
+#   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
21
+#   AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
22
+#   IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
23
+#   ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
24
+#   LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
25
+#   CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
26
+#   SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
27
+#   INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
28
+#   CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
29
+#   ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
30
+#   POSSIBILITY OF SUCH DAMAGE.
31
+#
32
+
33
+MULLE_BOOTSTRAP_SNIP_SH="included"
34
+
35
+
36
+snip_start_upto()
37
+{
38
+   local escaped
39
+
40
+   escaped="`escaped_sed_pattern "$1"`"
41
+
42
+   sed -n -e "/^${escaped}\$/q;p"
43
+}
44
+
45
+
46
+snip_end_from()
47
+{
48
+   local escaped
49
+
50
+   escaped="`escaped_sed_pattern "$1"`"
51
+   sed -e "1,/^${escaped}\$/d"
52
+}
53
+
54
+
55
+snip_end_from_excluding()
56
+{
57
+   local escaped
58
+
59
+   escaped="`escaped_sed_pattern "$1"`"
60
+   sed -n -e "/^${escaped}\$/,\$p"
61
+}
62
+
63
+
64
+_snip_middle_of_file()
65
+{
66
+   local from="$1"
67
+   local to="$2"
68
+
69
+   if [ ! -z "${from}" ]
70
+   then
71
+      snip_start_upto "${from}"
72
+   else
73
+      if [ -z "${to}" ]
74
+      then
75
+         cat
76
+         return
77
+      fi
78
+   fi
79
+
80
+   if [ ! -z "${to}" ]
81
+   then
82
+      snip_end_from_excluding "${to}"
83
+   fi
84
+
85
+}
86
+
87
+snip_middle_of_file()
88
+{
89
+   local from="$1"
90
+   local to="$2"
91
+   local filename="$3"
92
+
93
+   if ! [ -z "${filename}" ]
94
+   then
95
+      _snip_middle_of_file "${from}" "${to}" < "${filename}"
96
+   else
97
+      _snip_middle_of_file "${from}" "${to}"
98
+   fi
99
+}
100
+
101
+
102
+_snip_from_to_file()
103
+{
104
+   local from="$1"
105
+   local to="$2"
106
+
107
+   if [ ! -z "${from}" ]
108
+   then
109
+      snip_start_upto "${from}"
110
+   else
111
+      if [ -z "${to}" ]
112
+      then
113
+         cat
114
+         return
115
+      fi
116
+   fi
117
+
118
+   if [ ! -z "${to}" ]
119
+   then
120
+      snip_end_from "${to}"
121
+   fi
122
+
123
+}
124
+
125
+
126
+snip_from_to_file()
127
+{
128
+   local from="$1"
129
+   local to="$2"
130
+   local filename="$3"
131
+
132
+   if ! [ -z "${filename}" ]
133
+   then
134
+      _snip_from_to_file "${from}" "${to}" < "${filename}"
135
+   else
136
+      _snip_from_to_file "${from}" "${to}"
137
+   fi
138
+}
139
+
140
+
141
+snip_initialize()
142
+{
143
+   log_debug ":snip_initialize:"
144
+
145
+   [ -z "${MULLE_BOOTSTRAP_FUNCTIONS_SH}" ] && . mulle-bootstrap-functions.sh
146
+   :
147
+}
148
+
149
+snip_initialize
150
+
... ...
@@ -132,6 +132,7 @@ warn_scripts_main()
132 132
 {
133 133
    log_debug "::: warn_scripts begin :::"
134 134
 
135
+   [ -z "${MULLE_BOOTSTRAP_COMMAND_SH}" ] && . mulle-bootstrap-command.sh
135 136
    [ -z "${MULLE_BOOTSTRAP_LOCAL_ENVIRONMENT_SH}" ] && . mulle-bootstrap-local-environment.sh
136 137
    [ -z "${MULLE_BOOTSTRAP_FUNCTIONS_SH}" ] && . mulle-bootstrap-functions.sh
137 138
    [ -z "${MULLE_BOOTSTRAP_SETTINGS_SH}" ] && . mulle-bootstrap-settings.sh